Bug 123855 - export to xhtml from writer no longer preserves footnotes as hyperlinks
Summary: export to xhtml from writer no longer preserves footnotes as hyperlinks
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.2.2 release
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.3.0 target:6.2.4
Keywords: bibisected, bisected, filter:html, regression
: 123856 (view as bug list)
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2019-03-05 02:30 UTC by Jon Rubin
Modified: 2019-04-17 09:43 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
test files (2.82 KB, application/xhtml+xml)
2019-03-05 02:30 UTC, Jon Rubin
Details
test writer file to be exported (10.28 KB, application/vnd.oasis.opendocument.text)
2019-04-09 22:25 UTC, Jon Rubin
Details
exported xhtml file which did not preserve footnotes as hyperlinks (2.80 KB, application/xhtml+xml)
2019-04-09 22:27 UTC, Jon Rubin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Rubin 2019-03-05 02:30:28 UTC
Created attachment 149727 [details]
test files

Attached a simple writer document with one footnote and the xhtml export file. Prevoiusly on exporting to xhtml, this would insert hyperlink to the footnote. Now it merely keeps the text.
Comment 1 Julien Nabet 2019-03-05 07:45:12 UTC
*** Bug 123856 has been marked as a duplicate of this bug. ***
Comment 2 Dieter 2019-04-09 19:20:56 UTC
(In reply to Jon Rubin from comment #0)
> Created attachment 149727 [details]
> test files
> 
> Attached a simple writer document with one footnote and the xhtml export
> file.

Attachment is not a writer document. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it)
Comment 3 Jon Rubin 2019-04-09 22:25:53 UTC
Created attachment 150633 [details]
test writer file to be exported
Comment 4 Jon Rubin 2019-04-09 22:27:23 UTC
Created attachment 150634 [details]
exported xhtml file which did not preserve footnotes as hyperlinks
Comment 5 Jon Rubin 2019-04-09 22:28:54 UTC
I've attached a test writer document with a single footnote and the xhtml file generated from this. Previously footnotes were converted into hyperlinks, this is no longer the case
Comment 6 Dieter 2019-04-10 07:23:25 UTC
I confirm this with

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 421e6fc3cd2e6fe37afbef341e2d0ad7b8edde37
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-04-07_01:12:58
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded

and with

Version: 6.2.2.2 (x64)
Build-ID: 2b840030fec2aae0fd2658d8d4f9548af4e3518d
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: de-DE (de_DE); UI-Sprache: de-DE
Calc: threaded

but not with

Version: 5.4.7.2 (x64)
Build-ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU-Threads: 4; BS: Windows 6.19; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL
Comment 7 raal 2019-04-11 15:29:27 UTC
This seems to have begun at the below commit.
Adding Cc: to Michael Stahl; Could you possibly take a look at this one? Thanks

6a8885edad980ce9169f75cca85b8be838caebc0 is the first bad commit
commit 6a8885edad980ce9169f75cca85b8be838caebc0
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Wed Sep 19 16:51:22 2018 -0700

    source sha:bf488abbf46da51d17c3ad7ccf9e39005a55c2d7

author	Michael Stahl <Michael.Stahl@cib.de>	2018-09-13 20:38:36 +0200
committer	Michael Stahl <Michael.Stahl@cib.de>	2018-09-19 10:18:33 +0200
commit	bf488abbf46da51d17c3ad7ccf9e39005a55c2d7 (patch)
tree	d45c0f509b5ec9eabae071fbce004dbac7350a05
parent	7409c8a6a61623d8f6463e1229a8fb1c9d9aedcc (diff)
sw_redlinehide_2: remove one bool from SwTextNode::ExpandText()
Comment 8 Commit Notification 2019-04-16 08:28:24 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f32ddd38ef777598901981491ad57bd37efe69e8%5E%21

tdf#123855 sw_redlinehide: fix GetExpandText() not expanding footnotes

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Michael Stahl (CIB) 2019-04-16 08:37:16 UTC
fixed on master
Comment 10 Commit Notification 2019-04-16 22:54:50 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/51fb5ce0774c463caad7bcf9a6851161a56d60f7%5E%21

tdf#123855 sw_redlinehide: fix GetExpandText() not expanding footnotes

It will be available in 6.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2019-04-17 09:43:57 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: a96167f88aa68651f055aa9096e63c9e48c8e4fa
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!!